Subject: Re: [PATCH net-next 0/5][pull request] add v2 FW logging for ice driver

From: Jakub Kicinski <[email-masked]>
Date: Tue, 14 Feb 2023 12:44:33 -0800

On Tue, 14 Feb 2023 08:14:04 -0800 Paul M Stillwell Jr wrote:
> >> I don't know how other companies FW interface works so wouldn't assume
> >> that I could come up with an interface that would work across all devices.  
> > 
> > Let's think about devlink health first.  
> 
> I'm happy to think about it, but as I said I don't see how our FW 
> logging model fits into the paradigm of devlink health. I'm open to 
> suggestions because I may not have thought about this in a way that 
> would fit into devlink health.

Maybe just use ethtool set_dump / get_dump_data then?
That's more of an ad-hoc collection API.